Skip to main content
GET
/
api
/
v1
/
customers
/
{id}
Get customer details
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/customers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "document_number": "<string>",
    "tax_id": "<string>",
    "document_type": "<string>",
    "email": "jsmith@example.com",
    "social_name": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "dob": "2023-11-07T05:31:56Z",
    "house_number": "<string>",
    "street_number": "<string>",
    "street_name": "<string>",
    "postal_code": "<string>",
    "city": "<string>",
    "state": "<string>",
    "phone_country_code": "<string>",
    "phone_area_code": "<string>",
    "phone_number": "<string>",
    "monthly_net_income": "<string>",
    "gender": "<string>",
    "country_code": "<string>",
    "roles": [
      "<string>"
    ],
    "wallet_address": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

id
string<uuid>
required

Response

Customer details

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)